Bug 1874094 - nano does not exist in boot.iso variants but should
Summary: nano does not exist in boot.iso variants but should
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: distribution
Version: 33
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Aoife Moloney
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: AcceptedFreezeException
Depends On:
Blocks: F33BetaFreezeException 1854444
TreeView+ depends on / blocked
 
Reported: 2020-08-31 14:34 UTC by Chris Murphy
Modified: 2023-05-09 13:56 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-09-16 00:24:27 UTC
Type: Bug
Embargoed:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github weldr lorax pull 1067 0 None closed templates: Ensure nano is installed for the runtime environment 2020-09-15 08:24:35 UTC

Description Chris Murphy 2020-08-31 14:34:34 UTC
https://fedoraproject.org/wiki/Changes/UseNanoByDefault

For consistency we want nano everywhere, and I'm finding it's not on Silverblue dvd ISO or Everything ISO (in the installation environment, booting the ISO).

Therefore feature proponents are asking for a Beta Freeze Exception to modify fedora-comps to add nano-default-editor into core group.

(I had this same problem with zram-generator-defaults needing to be added to fedora-comps' core group to pull it into all install media. So I'm pretty sure this is the correct thing to do.)

Comment 1 Fedora Blocker Bugs Application 2020-08-31 14:36:43 UTC
Proposed as a Freeze Exception for 33-beta by Fedora user chrismurphy using the blocker tracking app because:

 Default editor should exist everywhere for consistency and serenity.

Comment 2 Adam Williamson 2020-08-31 15:56:12 UTC
putting it in @core kind of changes the scope of the Change, which specifically says it should go in @standard. an alternative would be to include it in the lorax templates...

Comment 3 Geoffrey Marr 2020-08-31 17:26:02 UTC
Discussed during the 2020-08-31 blocker review meeting: [0]

The decision to classify this bug as an "AcceptedFreezeException" was made as it is a noticeable issue that cannot be fixed with an update.

Note: There is still some discussion about whether adding nano to @core is the most appropriate fix.

[0] https://meetbot.fedoraproject.org/fedora-blocker-review/2020-08-31/f33-blocker-review.2020-08-31-16.00.txt

Comment 4 Neal Gompa 2020-08-31 18:26:53 UTC
Pull request sent for Lorax: https://github.com/weldr/lorax/pull/1067

Comment 5 Brian Lane 2020-09-08 18:36:18 UTC
Included in lorax-33.9-1.fc33 - https://koji.fedoraproject.org/koji/taskinfo?taskID=51018382

Comment 6 Fedora Update System 2020-09-08 18:49:04 UTC
FEDORA-2020-0cf083015f has been submitted as an update to Fedora 33. https://bodhi.fedoraproject.org/updates/FEDORA-2020-0cf083015f

Comment 7 Fedora Update System 2020-09-08 20:57:47 UTC
FEDORA-2020-0cf083015f has been pushed to the Fedora 33 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2020-0cf083015f`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-0cf083015f

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 8 Fedora Update System 2020-09-15 14:53:53 UTC
FEDORA-2020-3702f600a2 has been pushed to the Fedora 33 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2020-3702f600a2`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-3702f600a2

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 9 Fedora Update System 2020-09-16 00:18:28 UTC
FEDORA-2020-3702f600a2 has been pushed to the Fedora 33 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 10 Adam Williamson 2020-09-16 00:24:27 UTC
This bug we can close (I had to set the update not to close associated bugs as we need to double-check the generated image size for the image size bugs).


Note You need to log in before you can comment on or make changes to this bug.